// Medijana = duzinaNiza/2

#include <bits/stdc++.h>

using namespace std;

int N;

int nadjiPrvogJednakogIliVeceg(vector<int> &v, int vrednost){
	for (int i = 0; i < N; i++){
		if (v[i] == vrednost) {
			return i*2;
		} else if (v[i] > vrednost){
			return i*2+1;
		}
	}

	return N*2+1;
}

int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);

	int Q;
	cin >> N >> Q;
	vector<int> glasovi;

	glasovi.reserve(N);
	
	int unos;
	for (int i = 0; i < N; i++){
		cin >> unos;
		glasovi.push_back(unos);
	}

	sort(glasovi.begin(), glasovi.end());

	int indeks, rezultat;
	for (int i = 0; i < Q; i++){
		cin >> unos;

		indeks = nadjiPrvogJednakogIliVeceg(glasovi, unos);

		if ((indeks/2)*2 == N){
			cout << "0\n";
		} else if (indeks % 2 == 0){
			if (indeks > N){
				cout << indeks - N << "\n";
			} else if (indeks < N){
                cout << N - indeks - 1 << "\n";
			}
		} else if (indeks % 2 == 1){
			indeks -= 1;
			if (indeks > N+1){
				cout << indeks - N << "\n";
			} else if (indeks < N+1){
			    cout << N - indeks + 1 << "\n";
			}
		}
	}
}